Bug 148274 - [update] biology/py-biopython
Summary: [update] biology/py-biopython
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-01 08:50 UTC by Ju Pengfei
Modified: 2010-07-02 04:00 UTC (History)
0 users

See Also:


Attachments
file.diff (16.75 KB, patch)
2010-07-01 08:50 UTC, Ju Pengfei
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ju Pengfei 2010-07-01 08:50:04 UTC
update to 1.54.

Changes:
removed lang/py-mx-base from BUILD_DEPENDS;
lang/py-mx-base is no longer used at all.
(ref: http://biopython.org/DIST/docs/install/Installation.html#htoc17)

Fix: apply this patch, please.
thanks.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-07-01 08:50:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

wen@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-07-01 08:50:41 UTC
Maintainer of biology/py-biopython,

Please note that PR ports/148274 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148274

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-07-01 08:50:42 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Mauricio Herrera Cuadra 2010-07-01 15:32:26 UTC
Patch works fine. Approved. Thanks! :)



________________________________
From: Edwin Groothuis <edwin@FreeBSD.org>
To: mauricio@arareko.net
Cc: bug-followup@FreeBSD.org
Sent: Thu, July 1, 2010 2:50:41 AM
Subject: Re: ports/148274: [update] biology/py-biopython

Maintainer of biology/py-biopython,

Please note that PR ports/148274 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148274

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 5 dfilter service freebsd_committer 2010-07-02 03:58:42 UTC
wen         2010-07-02 02:57:19 UTC

  FreeBSD ports repository

  Modified files:
    biology/py-biopython Makefile distinfo pkg-plist 
  Log:
  - Update to 1.54
  
  PR:             ports/148274
  Submitted by:   Ju Pengfei <jupengfei@gmail.com>
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.30      +2 -3      ports/biology/py-biopython/Makefile
  1.20      +3 -3      ports/biology/py-biopython/distinfo
  1.19      +141 -43   ports/biology/py-biopython/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wen Heping freebsd_committer 2010-07-02 03:58:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!